import axios from '../api'

/**
 * 挂载设备API
 */
export default {

  // 获取挂载设备列表
  mountEquipmentList(params) {
    return axios.post('/api/mountequipment/index', params)
  },

  // 添加挂载设备
  mountEquipmentAdd(params) {
    return axios.post('/api/mountequipment/add', params)
  },

  // 编辑挂载设备
  mountEquipmentEdit(params) {
    return axios.post('/api/mountequipment/edit', params)
  },

  // 设置挂载设备状态
  setStatus(params) {
    return axios.post('/api/mountequipment/setStatus', params)
  },

  // 获取基础参数
  getParamsList(params) {
    return axios.post('/api/mountequipment/getParamsList', params)
  },

  dropMountEquipment(params) {
    return axios({
      method: "POST",
      url: '/api/mountequipment/drop',
      params: params
    })
  },
}


